"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ThemeContext = _interopRequireDefault(require("./ThemeContext"));

var propTypes = {
  /**
   * The components to be rendered within the context of the ThemeContextProvider. Components rendered here are able to interact with ThemeContextProvider through the ThemeContext.
   */
  children: _propTypes.default.element.isRequired,

  /**
   * An object containing the name and className of the selected theme.
   */
  theme: _propTypes.default.shape({
    name: _propTypes.default.string,
    className: _propTypes.default.string
  })
};
var defaultProps = {
  theme: {}
};

var ThemeContextProvider = function ThemeContextProvider(_ref) {
  var theme = _ref.theme,
      children = _ref.children;
  var contextValue = (0, _react.useMemo)(function () {
    return {
      name: theme.name,
      className: theme.className
    };
  }, [theme.name, theme.className]);
  return /*#__PURE__*/_react.default.createElement(_ThemeContext.default.Provider, {
    value: contextValue
  }, children);
};

ThemeContextProvider.propTypes = propTypes;
ThemeContextProvider.defaultProps = defaultProps;
var _default = ThemeContextProvider;
exports.default = _default;